LibreOffice: LocaleDataItem Struct Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
LocaleDataItem Struct Referencepublished

Locale specific data, for example, separators, quotation marks. More...

Inheritance diagram for LocaleDataItem:

## Public Attributes
string | unoID
| internal ID string, not unique, not meaningful to the outer world
string | dateSeparator
| date separator, for example, "/" or "." or "-"
string | thousandSeparator
| group and thousand separator, for example, "," or "."
string | decimalSeparator
| decimal separator, for example, "." or ","
string | timeSeparator
| time separator, for example, ":"
string | time100SecSeparator
| time 100th seconds separator, for example, ","
string | listSeparator
| list separator, for example, ";"
string | quotationStart
| single quotation mark start
string | quotationEnd
| single quotation mark end
string | doubleQuotationStart
| double quotation mark start
string | doubleQuotationEnd
| double quotation mark end
string | timeAM
| time AM symbol, for example, "AM" or "am"
string | timePM
| time PM symbol, for example, "PM" or "pm"
string | measurementSystem
| measurement system, "metric" or "us"
string | LongDateDayOfWeekSeparator
| long date day of week separator, for example, ", "
string | LongDateDaySeparator
| long date day separator, for example, ", "
string | LongDateMonthSeparator
| long date month separator, for example, " "
string | LongDateYearSeparator
| long date year separator, for example, " "

## Detailed Description

Locale specific data, for example, separators, quotation marks.

See also
  XLocaleData for links to DTD of XML locale data files.

## Member Data Documentation

## ◆ dateSeparator

string dateSeparator

date separator, for example, "/" or "." or "-"

## ◆ decimalSeparator

string decimalSeparator

decimal separator, for example, "." or ","

## ◆ doubleQuotationEnd

string doubleQuotationEnd

double quotation mark end

## ◆ doubleQuotationStart

string doubleQuotationStart

double quotation mark start

## ◆ listSeparator

string listSeparator

list separator, for example, ";"

## ◆ LongDateDayOfWeekSeparator

string LongDateDayOfWeekSeparator

long date day of week separator, for example, ", "

## ◆ LongDateDaySeparator

string LongDateDaySeparator

long date day separator, for example, ", "

## ◆ LongDateMonthSeparator

string LongDateMonthSeparator

long date month separator, for example, " "

## ◆ LongDateYearSeparator

string LongDateYearSeparator

long date year separator, for example, " "

## ◆ measurementSystem

string measurementSystem

measurement system, "metric" or "us"

## ◆ quotationEnd

string quotationEnd

single quotation mark end

## ◆ quotationStart

string quotationStart

single quotation mark start

## ◆ thousandSeparator

string thousandSeparator

group and thousand separator, for example, "," or "."

## ◆ time100SecSeparator

string time100SecSeparator

time 100th seconds separator, for example, ","

## ◆ timeAM

string timeAM

time AM symbol, for example, "AM" or "am"

## ◆ timePM

string timePM

time PM symbol, for example, "PM" or "pm"

## ◆ timeSeparator

string timeSeparator

time separator, for example, ":"

## ◆ unoID

string unoID

internal ID string, not unique, not meaningful to the outer world

The documentation for this struct was generated from the following file:

- com/sun/star/i18n/LocaleDataItem.idl